Device (MCHC)
{
	Name (_ADR, 0x00000000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "4th Gen Core Processor DRAM Controller" },
			"device_type", Buffer () { "Host bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (IGPU)
{
	Name (_ADR, 0x00020000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"AAPL,ig-platform-id", Buffer () { 0x09, 0x00, 0xA5, 0x3E },
			"model", Buffer () { "Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller" },
			"hda-gfx", Buffer () { "onboard-1" },
			"AAPL,slot-name", Buffer () { "Internal" },
			"device_type", Buffer () { "VGA compatible controller" },
		})
	}
}
Device (B0D3)
{
	Name (_ADR, 0x00030000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller" },
			"device_type", Buffer () { "Audio device" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (XHC)
{
	Name (_ADR, 0x00140000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "9 Series Chipset Family USB xHCI Controller" },
			"device_type", Buffer () { "USB controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (EHC2)
{
	Name (_ADR, 0x001a0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "9 Series Chipset Family USB EHCI Controller #2" },
			"device_type", Buffer () { "USB controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (HDEF)
{
	Name (_ADR, 0x001b0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "9 Series Chipset Family HD Audio Controller" },
			"layout-id", Buffer () { 0x00, 0x00, 0x00, 0x00 },
			"hda-gfx", Buffer () { "onboard-1" },
			"AAPL,slot-name", Buffer () { "Internal" },
			"device_type", Buffer () { "Audio device" },
		})
	}
}
Device (RP03)
{
	Name (_ADR, 0x001c0002)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "9 Series Chipset Family PCI Express Root Port 3" },
			"device_type", Buffer () { "PCI bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (EHC1)
{
	Name (_ADR, 0x001d0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "9 Series Chipset Family USB EHCI Controller #1" },
			"device_type", Buffer () { "USB controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (RP01)
{
	Name (_ADR, 0x001c0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "9 Series Chipset Family PCI Express Root Port 1" },
			"device_type", Buffer () { "PCI bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (LPCB)
{
	Name (_ADR, 0x001f0000)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "Z97 Chipset LPC Controller" },
			"device_type", Buffer () { "ISA bridge" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (SATA)
{
	Name (_ADR, 0x001f0002)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "9 Series Chipset Family SATA Controller [AHCI Mode]" },
			"device_type", Buffer () { "SATA controller" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
Device (SBUS)
{
	Name (_ADR, 0x001f0003)
	Method (_DSM, 4, NotSerialized)
	{
		If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
		Return (Package ()
		{
			"model", Buffer () { "9 Series Chipset Family SMBus Controller" },
			"device_type", Buffer () { "SMBus" },
			"AAPL,slot-name", Buffer () { "Internal" },
		})
	}
}
